Bug 725131 - Review Request: python-lamson - A modern Pythonic mail server
Review Request: python-lamson - A modern Pythonic mail server
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: pjp
Fedora Extras Quality Assurance
:
Depends On: 725135
Blocks: 724936
  Show dependency treegraph
 
Reported: 2011-07-22 22:06 EDT by Praveen Kumar
Modified: 2012-04-16 16:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-16 16:22:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pj.pandit: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Praveen Kumar 2011-07-22 22:06:43 EDT
Spec URL: http://kumarpraveen.fedorapeople.org/lamson/python-lamson.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/lamson/python-lamson-1.1-1.fc15.src.rpm
Description: Lamson is a pure Python SMTP server designed to create robust and complex mail applications in the style of modern web frameworks such as Django. Unlike traditional SMTP servers like Postfix or Sendmail, Lamson has all the features of a web application stack (ORM, templates, routing, handlers, state machines,Python) without needing to configure alias files, run new aliases, or juggle tons of tiny fragile processes. Lamson also plays well with other web 
frameworks and Python libraries.
Comment 1 pjp 2011-07-23 03:15:11 EDT
[X] Package name - ok.
[X] Package group - ok.
[X] Package license - ok.
[X] Build successful - ok.

[X] $ rpmlint SRPMS/python-lamson-1.1-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] $ rpmlint RPMS/noarch/python-lamson-1.1-1.fc14.noarch.rpm 
python-lamson.noarch: W: no-manual-page-for-binary lamson
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

  - ok.

[X] Install/Un-install - ok.


Overall good.
Comment 2 pjp 2011-07-23 03:15:34 EDT
Approved.
Comment 3 Praveen Kumar 2011-07-23 03:33:59 EDT
New Package SCM Request
=======================
Package Name: python-lamson
Short Description: A modern Pythonic mail server
Owners: kumarpraveen sundaram pjp
Branches: f14 f15 el6
Comment 4 Jon Ciesla 2011-07-23 10:49:06 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.